org.firebirdsql.jdbc

## Class FBObjectListener.NoActionBlobListener

- java.lang.Object
- - org.firebirdsql.jdbc.FBObjectListener.NoActionBlobListener

- All Implemented Interfaces:
    FBObjectListener.BlobListener
  Enclosing interface:
    FBObjectListener

      public static final class FBObjectListener.NoActionBlobListener
      extends java.lang.Object
      implements FBObjectListener.BlobListener

  Implementation of `FBObjectListener.BlobListener` that implements all methods as empty methods.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executionCompleted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been completed.
    `void` | `executionStarted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been started.
    `static FBObjectListener.BlobListener` | `instance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static FBObjectListener.BlobListener instance()

    - #### executionStarted

          public void executionStarted(FirebirdBlob blob)

      Description copied from interface: `FBObjectListener.BlobListener`
      Notify listener that execution of some BLOB operation had been started.
      Specified by:
        `executionStarted` in interface `FBObjectListener.BlobListener`
      Parameters:
        `blob` - instance of `FirebirdBlob` that caused this event.

    - #### executionCompleted

          public void executionCompleted(FirebirdBlob blob)

      Description copied from interface: `FBObjectListener.BlobListener`
      Notify listener that execution of some BLOB operation had been completed.
      Specified by:
        `executionCompleted` in interface `FBObjectListener.BlobListener`
      Parameters:
        `blob` - instance of `FirebirdBlob` that caused this event.

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.